KFilePermissionsPropsPlugin class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFilePermissionsPropsPlugin Class Reference

'Permissions' plugin In this plugin you can modify permissions and change the owner of a file. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KFilePermissionsPropsPlugin:

[legend]
Collaboration diagram for KFilePermissionsPropsPlugin:

[legend]
List of all members.

## Public Member Functions
| KFilePermissionsPropsPlugin (KPropertiesDialog *_props)
| Constructor.
virtual void | applyChanges ()
| Applies all changes to the file.
## Static Public Member Functions
bool | supports (KFileItemList _items)
| Tests whether the file specified by _items needs a 'Permissions' plugin.

## Detailed Description

'Permissions' plugin In this plugin you can modify permissions and change the owner of a file.

Definition at line 460 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KFilePermissionsPropsPlugin::KFilePermissionsPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 1227 of file kpropertiesdialog.cpp. References KCompletion::addItem(), QGridLayout::addMultiCellWidget(), KDialogBase::addPage(), QBoxLayout::addStretch(), QGridLayout::addWidget(), QBoxLayout::addWidget(), KPropsDlgPlugin::changed(), KGlobalSettings::CompletionAuto, KGlobalSettings::CompletionNone, KCompletionBase::completionObject(), QObject::connect(), QPtrList::count(), QPtrListIterator::current(), KPropertiesDialog::dialog(), KURL::fileName(), QString::fromLatin1(), QString::fromLocal8Bit(), KFileItem::group(), QComboBox::insertStringList(), KFileItem::isDir(), QString::isEmpty(), KFileItem::isLink(), KURL::isLocalFile(), KPropertiesDialog::item(), KPropertiesDialog::items(), KPropertiesDialog::kurl(), KStdAccel::name(), QObject::name(), KURL::path(), KFileItem::permissions(), KPropsDlgPlugin::properties, KCompletionBase::setAutoDeleteCompletionObject(), QCheckBox::setChecked(), QGridLayout::setColStretch(), KLineEdit::setCompletionMode(), KLineEdit::setCompletionObject(), QComboBox::setCurrentItem(), KCompletion::setItems(), QCheckBox::setNoChange(), QString::setNum(), KCompletion::setOrder(), QLabel::setText(), QLineEdit::setText(), QCheckBox::setTristate(), QSize::setWidth(), KCompletion::Sorted, KDialog::spacingHint(), KFileItem::user(), and QSize::width().

## Member Function Documentation

void KFilePermissionsPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 1551 of file kpropertiesdialog.cpp. References KIO::chmod(), QObject::connect(), QComboBox::currentText(), QPtrList::first(), QString::isEmpty(), KPropertiesDialog::items(), QString::number(), KPropsDlgPlugin::properties, QCheckBox::state(), and QLineEdit::text().

bool KFilePermissionsPropsPlugin::supports | ( | KFileItemList | _items | ) | `[static]`

| Tests whether the file specified by _items needs a 'Permissions' plugin. Definition at line 1534 of file kpropertiesdialog.cpp. Referenced by KPropertiesDialog::canDisplay().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001